[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DrawDefaultDockImage

Draws the DockRect during drag-dock operations.

## Declaration

Source position: lclintfh.inc line 61

`public procedure TWidgetSet.DrawDefaultDockImage(`
`AOldRect: TRect;`
`ANewRect: TRect;`
`AOperation: TDockImageOperation`
`); virtual;`

## Arguments

`AOldRect` |  | The old DockRect.
`ANewRect` |  | The new DockRect.

## Errors

The Windows implementation doesn't cooperate with the DragManager. See Mantis 0018525.